import request from '@/utils/request'
// 增加产品档案
export function addProductInfo(data) {
  return request({
    url: '/product/addProductInfo',
    method: 'post',
    params: data
  })
}

// 获取产品档案列表
export function getProductInfoList(data) {
  return request({
    url: '/product/getProductInfoList',
    method: 'post',
    params: data
  })
}

// 获取产品档案
export function getProductInfoById(data) {
  return request({
    url: '/product/getProductInfo',
    method: 'post',
    params: data
  })
}

// 修改产品档案
export function updateProductInfo(data) {
  return request({
    url: '/product/updateProductInfo',
    method: 'post',
    params: data
  })
}
// 获取产品类目
export function getProductskeuList(data) {
  return request({
    url: '/product/getSkuProductCategoryList',
    method: 'post',
    params: data
  })
}

// 获取产品报价脚本
export function getProductPriceScript(data) {
  return request({
    url: '/product/getProductPriceScript',
    method: 'post',
    params: data
  })
}
// 保存产品报价脚本
export function saveProductPriceScript(data) {
  return request({
    url: '/product/saveProductPriceScript',
    method: 'post',
    data: data
  })
}
// 商品详情获取内容
export function viewProductContent(data) {
  return request({
    url: '/product/configProductContent',
    method: 'post',
    params: data
  })
}
// 保存产品详情
export function saveProductContent(data) {
  return request({
    url: '/product/saveProductContent',
    method: 'post',
    data: data
  })
}
// 获取产品图片
export function getProductImageAll(data) {
  return request({
    url: '/product/getProductImageList',
    method: 'post',
    params: data
  })
}
// 增加产品图片
export function addProductImage(data) {
  return request({
    url: '/product/addProductImage',
    method: 'post',
    params: data
  })
}

// 产品报价参数
export function parseProductScriptItem(data) {
  return request({
    url: '/product/parseProductScriptItem',
    method: 'post',
    params: data
  })
}
// 修改产品报价参数
export function updateProductScriptItem(data) {
  return request({
    url: '/product/updateProductScriptItem',
    method: 'post',
    params: data
  })
}
